#extension GL_OES_EGL_image_external : require
precision highp float;
uniform samplerExternalOES texture;
varying highp vec2 v_TexCoordinate;
varying highp vec2 textureCoordinateRGB;
varying highp vec2 textureCoordinateAlpha;


vec3 blendMultiply(vec3 base, vec3 blend) {
    return base*blend;
}

void main() {
    highp vec4 rgbColor = texture2D(texture, textureCoordinateRGB);
    highp vec4 alphaColor = texture2D(texture, textureCoordinateAlpha);
    gl_FragColor = vec4(blendMultiply(rgbColor.rgb, alphaColor.rgb), alphaColor.r);
}


